NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::NSidedSurfaceBuilder Class Reference

Represents a NXOpen::Features::NSidedSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateNSidedSurfaceBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::NSidedSurfaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CenterControlAxisType { CenterControlAxisTypeX, CenterControlAxisTypeY, CenterControlAxisTypeZ, CenterControlAxisTypeFlat }
 the center control types More...
 
enum  CenterControlType { CenterControlTypePosition, CenterControlTypeTilting }
 the center control type options More...
 
enum  FlowDirectionType { FlowDirectionTypeNotSpecified, FlowDirectionTypePerpendicular, FlowDirectionTypeIsoUVLine, FlowDirectionTypeAdjacentEdges }
 the flow direction options More...
 
enum  SurfaceType { SurfaceTypeTrimmedPatch, SurfaceTypeTriangularPatch }
 the surface type options More...
 
enum  UVOrientationType { UVOrientationTypeSpine, UVOrientationTypeVector, UVOrientationTypeArea }
 the UV orientation options More...
 

Public Member Functions

NXOpen::ExpressionCenterControlFlat ()
 Returns the center control flat
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlTiltX ()
 Returns the center control tilt x direction
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlTiltY ()
 Returns the center control tilt y direction
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlTrimFlat ()
 Returns the center control flat for trimming
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlX ()
 Returns the center control x direction
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlY ()
 Returns the center control y direction
Created in NX6.0.0. More...
 
NXOpen::ExpressionCenterControlZ ()
 Returns the center control z direction
Created in NX6.0.0. More...
 
NXOpen::ScCollectorConstraintFaces ()
 Returns the constraint faces
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuity ()
 Returns the continuity
Created in NX6.0.0. More...
 
double CurvatureTolerance ()
 Returns the curvature tolerance
Created in NX6.0.0. More...
 
NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType FlowDirection ()
 Returns the flow direction
Created in NX6.0.0. More...
 
NXOpen::SectionListInteriorCurveList ()
 Returns the list of interior curves
Created in NX6.0.0. More...
 
bool MergeFaces ()
 Returns the merge-faces option
Created in NX6.0.0. More...
 
NXOpen::DirectionOrientationVector ()
 Returns the orientation vector. More...
 
NXOpen::SectionOuterLoop ()
 Returns the outer loop
Created in NX6.0.0. More...
 
double PositionTolerance ()
 Returns the position tolerance
Created in NX6.0.0. More...
 
NXOpen::PointRectanglePointFirst ()
 Returns the first rectangle point. More...
 
NXOpen::PointRectanglePointSecond ()
 Returns the second rectangle point. More...
 
NXOpen::PointRectanglePointThird ()
 Returns the third rectangle point. More...
 
void SetCurvatureTolerance (double curvatureTolerance)
 Sets the curvature tolerance
Created in NX6.0.0. More...
 
void SetFlowDirection (NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType button)
 Sets the flow direction
Created in NX6.0.0. More...
 
void SetMergeFaces (bool mergeFaces)
 Sets the merge-faces option
Created in NX6.0.0. More...
 
void SetOrientationVector (NXOpen::Direction *orientationVector)
 Sets the orientation vector. More...
 
void SetPositionTolerance (double positionTolerance)
 Sets the position tolerance
Created in NX6.0.0. More...
 
void SetRectanglePointFirst (NXOpen::Point *firstPoint)
 Sets the first rectangle point. More...
 
void SetRectanglePointSecond (NXOpen::Point *secondPoint)
 Sets the second rectangle point. More...
 
void SetRectanglePointThird (NXOpen::Point *thirdPoint)
 Sets the third rectangle point. More...
 
void SetTangentTolerance (double tangentTolerance)
 Sets the tangent tolerance
Created in NX6.0.0. More...
 
void SetTrimToBoundary (bool trimToBoundary)
 Sets the trim-to-boundary option
Created in NX6.0.0. More...
 
void SetType (NXOpen::Features::NSidedSurfaceBuilder::SurfaceType surfaceType)
 Sets the surface type
Created in NX6.0.0. More...
 
void SetUVOrientation (NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType button)
 Sets the UV orientation
Created in NX6.0.0. More...
 
NXOpen::SectionSpineCurve ()
 Returns the spine curve. More...
 
double TangentTolerance ()
 Returns the tangent tolerance
Created in NX6.0.0. More...
 
bool TrimToBoundary ()
 Returns the trim-to-boundary option
Created in NX6.0.0. More...
 
NXOpen::Features::NSidedSurfaceBuilder::SurfaceType Type ()
 Returns the surface type
Created in NX6.0.0. More...
 
NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType UVOrientation ()
 Returns the UV orientation
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::NSidedSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateNSidedSurfaceBuilder
Default values.

Property Value

CenterControlFlat.Value

100

CenterControlTiltX.Value

50

CenterControlTiltY.Value

50

CenterControlTrimFlat.Value

50

CenterControlX.Value

50

CenterControlY.Value

50

CenterControlZ.Value

50


Created in NX6.0.0.

Member Enumeration Documentation

the center control types

Enumerator
CenterControlAxisTypeX 

x axis

CenterControlAxisTypeY 

y axis

CenterControlAxisTypeZ 

z axis

CenterControlAxisTypeFlat 

center flat

the center control type options

Enumerator
CenterControlTypePosition 

position type

CenterControlTypeTilting 

tilting type

the flow direction options

Enumerator
FlowDirectionTypeNotSpecified 

not specified

FlowDirectionTypePerpendicular 

perpendicular

FlowDirectionTypeIsoUVLine 

uv line

FlowDirectionTypeAdjacentEdges 

adjacent edges

the surface type options

Enumerator
SurfaceTypeTrimmedPatch 

Trimmed Patch.

SurfaceTypeTriangularPatch 

Triangular Patch.

the UV orientation options

Enumerator
UVOrientationTypeSpine 

spine orientation

UVOrientationTypeVector 

vector orientation

UVOrientationTypeArea 

area orientation

Member Function Documentation

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlFlat ( )

Returns the center control flat
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTiltX ( )

Returns the center control tilt x direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTiltY ( )

Returns the center control tilt y direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTrimFlat ( )

Returns the center control flat for trimming
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlX ( )

Returns the center control x direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlY ( )

Returns the center control y direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlZ ( )

Returns the center control z direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::ScCollector* NXOpen::Features::NSidedSurfaceBuilder::ConstraintFaces ( )

Returns the constraint faces
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::NSidedSurfaceBuilder::Continuity ( )

Returns the continuity
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::NSidedSurfaceBuilder::CurvatureTolerance ( )

Returns the curvature tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType NXOpen::Features::NSidedSurfaceBuilder::FlowDirection ( )

Returns the flow direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::SectionList* NXOpen::Features::NSidedSurfaceBuilder::InteriorCurveList ( )

Returns the list of interior curves
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

bool NXOpen::Features::NSidedSurfaceBuilder::MergeFaces ( )

Returns the merge-faces option
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Direction* NXOpen::Features::NSidedSurfaceBuilder::OrientationVector ( )

Returns the orientation vector.

This is used only if UVOrientation is UVOrientationType.Vector
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Section* NXOpen::Features::NSidedSurfaceBuilder::OuterLoop ( )

Returns the outer loop
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::NSidedSurfaceBuilder::PositionTolerance ( )

Returns the position tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointFirst ( )

Returns the first rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointSecond ( )

Returns the second rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointThird ( )

Returns the third rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX8.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

void NXOpen::Features::NSidedSurfaceBuilder::SetCurvatureTolerance ( double  curvatureTolerance)

Sets the curvature tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
curvatureTolerancecurvaturetolerance
void NXOpen::Features::NSidedSurfaceBuilder::SetFlowDirection ( NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType  button)

Sets the flow direction
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
buttonbutton
void NXOpen::Features::NSidedSurfaceBuilder::SetMergeFaces ( bool  mergeFaces)

Sets the merge-faces option
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
mergeFacesmergefaces
void NXOpen::Features::NSidedSurfaceBuilder::SetOrientationVector ( NXOpen::Direction orientationVector)

Sets the orientation vector.

This is used only if UVOrientation is UVOrientationType.Vector
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling"), nx_freeform_1 ("basic freeform modeling")

Parameters
orientationVectororientationvector
void NXOpen::Features::NSidedSurfaceBuilder::SetPositionTolerance ( double  positionTolerance)

Sets the position tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
positionTolerancepositiontolerance
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointFirst ( NXOpen::Point firstPoint)

Sets the first rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
firstPointfirstpoint
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointSecond ( NXOpen::Point secondPoint)

Sets the second rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
secondPointsecondpoint
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointThird ( NXOpen::Point thirdPoint)

Sets the third rectangle point.

This is used only if UVOrientation is UVOrientationType.Area
Created in NX8.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
thirdPointthirdpoint
void NXOpen::Features::NSidedSurfaceBuilder::SetTangentTolerance ( double  tangentTolerance)

Sets the tangent tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
tangentTolerancetangenttolerance
void NXOpen::Features::NSidedSurfaceBuilder::SetTrimToBoundary ( bool  trimToBoundary)

Sets the trim-to-boundary option
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
trimToBoundarytrimtoboundary
void NXOpen::Features::NSidedSurfaceBuilder::SetType ( NXOpen::Features::NSidedSurfaceBuilder::SurfaceType  surfaceType)

Sets the surface type
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
surfaceTypesurfacetype
void NXOpen::Features::NSidedSurfaceBuilder::SetUVOrientation ( NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType  button)

Sets the UV orientation
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

Parameters
buttonbutton
NXOpen::Section* NXOpen::Features::NSidedSurfaceBuilder::SpineCurve ( )

Returns the spine curve.

This is used only if UVOrientation is UVOrientationType.Spine
Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

double NXOpen::Features::NSidedSurfaceBuilder::TangentTolerance ( )

Returns the tangent tolerance
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

bool NXOpen::Features::NSidedSurfaceBuilder::TrimToBoundary ( )

Returns the trim-to-boundary option
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Features::NSidedSurfaceBuilder::SurfaceType NXOpen::Features::NSidedSurfaceBuilder::Type ( )

Returns the surface type
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType NXOpen::Features::NSidedSurfaceBuilder::UVOrientation ( )

Returns the UV orientation
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.